@font-face {
  font-family: HackRegular;
  src: url(Hack-Regular.ttf);
}

html {
	background: black;
	color: #e0e0e0;
	font-family: HackRegular;
	font-size: 1.5em;
	/*background-image: url(bv-holo-desk1.png);*/
	/*background-size: 100%;*/
}

body{
	/*position: absolute;*/
	width: 100%;
	z-index: 2 !important;
	font-size: 1em;
	text-align: center;
}

#email {
	color:#e0e0e0;
}

canvas{
	position: fixed;
	z-index: -1 !important;
	opacity: 100%;
	height: 100vh;
	width: 100vw !important;
    left: 0;
    top: 0;
    mix-blend-mode: plus-lighter;
}

#logo {
	width: 8%;
	opacity: 100%;

}

.slide {
  width: 75%;
  /*height: 500px;*/
  aspect-ratio: 16/9;
  margin-left: 12.5%;
  overflow: hidden;
  position: absolute;
  background-color: #000;
  border: 2px solid #fff;
  box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
}

.slide > div {
  width: 100%;
  height: 100%;
  background-size: contain;
  position: absolute;
  animation: slide 120s infinite;
  opacity: 0;
}

.slide > div:nth-child(2) {
  animation-delay: 10s;
}
.slide > div:nth-child(3) {
  animation-delay: 20s;
}
.slide > div:nth-child(4) {
  animation-delay: 30s;
}
.slide > div:nth-child(5) {
  animation-delay: 40s;
}
.slide > div:nth-child(6) {
  animation-delay: 50s;
}
.slide > div:nth-child(7) {
  animation-delay: 60s;
}
.slide > div:nth-child(8) {
  animation-delay: 70s;
}
.slide > div:nth-child(9) {
  animation-delay: 80s;
}
.slide > div:nth-child(10) {
  animation-delay: 90s;
}
.slide > div:nth-child(11) {
  animation-delay: 100s;
}
.slide > div:nth-child(12) {
  animation-delay: 110s;
}

@keyframes slide {
  5% {
    opacity: 1;
  }
  20% {
    opacity: 1;
  }
  25% {
    opacity: 0;
  }
  40% {
    transform: scale(1.2);
  }
}

/*.row {
  display: flex;
  flex-wrap: wrap;
}

.column {
  flex: 50%;
  max-width: 100%;
  padding: 0 10px;
}

.column img {
  margin-top: 20px;
  vertical-align: middle;
  width: 80%;
  height: auto;
  text-align: center;
}*/


/*carousel*/

.carousel {
	/*margin-top: 60vh;*/
	z-index: 2 !important;
}

.carousel__content--wrapper {
  display: none;
}
.carousel:has(input#radio0:checked) .carousel__content--wrapper:nth-child(1) {
  display: contents;
}
.carousel:has(input#radio1:checked) .carousel__content--wrapper:nth-child(2) {
  display: contents;
}
.carousel:has(input#radio2:checked) .carousel__content--wrapper:nth-child(3) {
  display: contents;
}
.carousel__content {
  display: grid;
  grid-template-areas: 'p img n';
  grid-template-columns: auto 70vmin auto;
  place-items: center;
}
.carousel__nav {
  padding: 20px;
  line-height: 1;
  background: #bde0fe;
  border-radius: 0.2rem;
  border: 1px solid;
  box-shadow: 0.1rem 0.1rem 0 0.1rem;
  user-select: none;
  transition: all 40ms;
}
.carousel__nav:active {
  background: color-mix(in hsl, #bde0fe, #000 20%);
  box-shadow: inset 0.1rem 0.1rem 0 rgba(0,0,0,0.24);
  transform: translate(0.2rem, 0.2rem);
}
.carousel__nav--prev {
  grid-area: p;
}
.carousel__nav--next {
  grid-area: n;
}
.carousel--img {
  grid-area: img;
  /*aspect-ratio: 0.666666666666667;*/
  border-radius: 0.2rem;
  border: 1px solid;
  box-shadow: 0.1rem 0.1rem 0 0.1rem;
  overflow: hidden;
}
.carousel--img img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.carousel__pagination {
  display: flex;
  gap: 0.4rem;
  justify-content: center;
}
.carousel__pagination input {
  appearance: none;
  display: block;
  width: 1rem;
  height: 1rem;
  background: #fff;
  border: 2px solid #b388eb;
  border-radius: 100%;
  box-shadow: 0.1rem 0.1rem 0;
}
.carousel__pagination input:checked {
  background: #b388eb;
  border-color: color-mix(in hsl, #b388eb, #000 20%);
}


/*holo shader*/


example--specmask .specular {
    mix-blend-mode: normal;
}

.frame--sticker .specular {
    z-index: 0;
    background-position: top center;
    background-image: linear-gradient(125deg,#f09 30%,#fc8b00,#ff0,#00ff8a,#00cfff,#cc4cfa 70%);
}

.specular {
    background-color: #000;
    mix-blend-mode: color-dodge;
    background-attachment: fixed;
}

.mask, .mask::after, .mask::before, .specular, .specular::after {
    background-color: #000;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    /*backface-visibility: hidden;*/
}


/*.frame--sticker .mask {
    background-repeat: no-repeat;
    background-size: 45%;
    background-position: center;
    z-index: 1;
    mix-blend-mode: multiply;
    background-image: url(BV-GREY-1240px-cmyk.png);
}*/
/*.mask, .mask::after, .mask::before, .specular, .specular::after {
    background-color: #000;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
}*/
